--- /dev/null
+#! /bin/sh
+# FSQA Test No. 141
+#
+# Test for xfs_io mmap read problem
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
+#-----------------------------------------------------------------------
+#
+# creator
+owner=bnaujok@sgi.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+ _cleanup_testdir
+}
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+# real QA test starts here
+_supported_fs xfs
+_supported_os Linux
+
+_setup_testdir
+_require_scratch
+_scratch_mkfs_xfs >/dev/null 2>&1
+_scratch_mount
+
+# create file, mmap a region and mmap read it
+file=$SCRATCH_MNT/mmap
+
+xfs_io -f -c "pwrite 0 64k" -c "mmap 16k 16k" -c "mread -r" $file > /dev/null
+
+rm -f $file
+
+status=0
+exit